<?xml version="1.0" encoding="ISO-8859-1" ?>

<!DOCTYPE struts-config PUBLIC
          "-//Apache Software Foundation//DTD Struts Configuration 1.0//EN"
          "http://jakarta.apache.org/struts/dtds/struts-config_1_0.dtd">


<struts-config>

  <!-- ========== Form Bean Definitions =================================== -->
  <form-beans>
      <!-- Use dummyForm for Actions without form data -->
      <form-bean name="dummyForm" type="com.ferienclub.pda.forms.DummyForm"/>
      <form-bean name="loginForm" type="com.ferienclub.pda.forms.LoginForm"/>
      <form-bean name="profileForm" type="com.ferienclub.pda.forms.ProfileForm"/>
      <form-bean name="orderForm" type="com.ferienclub.pda.forms.OrderForm"/>
      <form-bean name="bookingForm" type="com.ferienclub.pda.forms.BookingForm"/>
  </form-beans>



  <!-- ========== Action Mapping Definitions ============================== -->
  <action-mappings>
   
   <action path="/login"
               type="com.ferienclub.pda.actions.LoginAction"
               name="loginForm"
              scope="request"
              input="/Start.jsp"
           validate="false">
      <forward name="success" path="/Menu.jsp"/>
   </action>   

   <action path="/logout"
               type="com.ferienclub.pda.actions.LogoutAction"
               name="dummyForm"
              scope="request"
              input="/Menu.jsp"
           validate="false">
      <forward name="success" path="/Start.jsp"/>
   </action> 

   <action path="/enterCustomerPreferences"
               type="com.ferienclub.pda.actions.CustomerPreferencesAction"
               name="dummyForm"
              scope="request"
              input="/Menu.jsp"
           validate="false">
      <forward name="success" path="/Profile.jsp"/>
   </action> 

   <action path="/submitProfile"
               type="com.ferienclub.pda.actions.SubmitProfileAction"
               name="profileForm"
              scope="request"
              input="/Profile.jsp"
           validate="false">
      <forward name="success" path="/Menu.jsp"/>
   </action> 

   <action path="/getBeachClubMenu"
               type="com.ferienclub.pda.actions.GetBeachClubMenuAction"
               name="dummyForm"
               scope="request"
              input="/Menu.jsp"
           validate="false">
      <forward name="success" path="/Beachclub.jsp"/>
   </action>   

   <action path="/makeOrder"
               type="com.ferienclub.pda.actions.OrderAction"
               name="orderForm"
               scope="request"
              input="/Beachclub.jsp"
           validate="false">
      <forward name="success" path="/Success.jsp"/>
   </action> 

   <action path="/getLeisureOffers"
               type="com.ferienclub.pda.actions.GetLeisureOffersAction"
               name="dummyForm"
              scope="request"
              input="/Menu.jsp"
           validate="false">
      <forward name="success" path="/Leisure.jsp"/>
   </action>      

   <action path="/makeBooking"
               type="com.ferienclub.pda.actions.BookingAction"
               name="bookingForm"
               scope="request"
              input="/Leisure.jsp"
           validate="false">
      <forward name="success" path="/Success.jsp"/>
   </action> 

  </action-mappings>

</struts-config>
